
package com.tmerclub.cloud.multishop.vo;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;


/**
 * 审核信息
 *
 * @author YXF
 */
@Schema(description = "审核信息")
public class ShopAuditingInfoVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "店铺审核id")
    private Long shopAuditingId;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "申请时间")
    private Date createTime;

    @Schema(description = "审核状态 0未审核 1已通过 -1未通过")
    private Integer status;

    @Schema(description = "店铺名字")
    private String shopName;

    @Schema(description = "店铺详细地址")
    private String shopAddress;

    @Schema(description = "店铺所在省份")
    private String province;

    @Schema(description = "店铺所在城市")
    private String city;

    @Schema(description = "店铺所在区域")
    private String area;

    @Schema(description = "店铺logo")
    private String shopLogo;

    @Schema(description = "店铺简介")
    private String intro;

    @Schema(description = "店铺状态")
    private Integer shopStatus;

    @Schema(description = "店铺账号")
    private String mobile;

    public Long getShopAuditingId() {
        return shopAuditingId;
    }

    public void setShopAuditingId(Long shopAuditingId) {
        this.shopAuditingId = shopAuditingId;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getShopName() {
        return shopName;
    }

    public void setShopName(String shopName) {
        this.shopName = shopName;
    }

    public String getShopAddress() {
        return shopAddress;
    }

    public void setShopAddress(String shopAddress) {
        this.shopAddress = shopAddress;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area;
    }

    public String getShopLogo() {
        return shopLogo;
    }

    public void setShopLogo(String shopLogo) {
        this.shopLogo = shopLogo;
    }

    public String getIntro() {
        return intro;
    }

    public void setIntro(String intro) {
        this.intro = intro;
    }

    public Integer getShopStatus() {
        return shopStatus;
    }

    public void setShopStatus(Integer shopStatus) {
        this.shopStatus = shopStatus;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    @Override
    public String toString() {
        return "ShopAuditingInfoVO{" +
                "shopAuditingId=" + shopAuditingId +
                ", shopId=" + shopId +
                ", createTime=" + createTime +
                ", status=" + status +
                ", shopName='" + shopName + '\'' +
                ", shopAddress='" + shopAddress + '\'' +
                ", province='" + province + '\'' +
                ", city='" + city + '\'' +
                ", area='" + area + '\'' +
                ", shopLogo='" + shopLogo + '\'' +
                ", intro='" + intro + '\'' +
                ", shopStatus=" + shopStatus +
                ", mobile='" + mobile + '\'' +
                '}';
    }
}
